Je ne comprends pas pourquoi sur ma feuille réponse j'ai des questions 0.

En fait j'ai identifié que sur la ligne:

{\setlength{\parindent}{0pt}\hspace*{\fill}\AMCcodeGridInt{etu}{6}\hspace*{\fill}

si je remplace 6 par 0 en effet cela m'enlève mes questions 0, sauf que cette ligne me sert pour le numéro 
d'anonymat de mes étudiants.
J'ai donc compris que cette partie était intégrée dans les réponses à fournir, mais comment je fais pour que 
cela n'apparaisse pas sur la feuille réponse ?
Je vous joins le fichier.tex que je suis entrain de formater pour mon examen.

Merci pour votre aide.

History
05/03/2022 07:18 am - Alexis Bienvenüe
- Status changed from New to Feedback

Pourquoi utilisez-vous des copies à la fois pré-remplies avec les noms d'étudiants et présentant un numéro d'anonymat ?

05/03/2022 08:24 am - Corinne Lautier
Alexis Bienvenüe wrote:
> Pourquoi utilisez-vous des copies à la fois pré-remplies avec les noms d'étudiants et présentant un numéro d'anonymat ?

JE ne sais pas c'est ce qui m'a semblé correspondre le mieux.
Dois je utiliser un autre format ?

05/03/2022 08:50 am - Alexis Bienvenüe
Cela dépend de votre objectif. Le modèle de copies pré-remplies permet de fabriquer des copies personnalisées : chaque étudiant a une copie avec 
son nom écrit dessus. Est-ce vraiment ce que vous souhaitez ? Cela me paraissait bizarre de rajouter sur ce modèle des numéros d'anonymat.

05/03/2022 08:54 am - Corinne Lautier
Alexis Bienvenüe wrote:
> Cela dépend de votre objectif. Le modèle de copies pré-remplies permet de fabriquer des copies personnalisées : chaque étudiant a une copie avec 
son nom écrit dessus. Est-ce vraiment ce que vous souhaitez ? Cela me paraissait bizarre de rajouter sur ce modèle des numéros d'anonymat.

l'objectif est de faire un examen avec n°d'anonymat pour chaque étudiant, avec les réponses séparées mais sur le feuillet il faut que le numéro 
d'anonymat apparaisse aussi.
J4ai essayé de faire " réponses séparées", ais comme je copie/colle mon code, j'ai toujours le même problème.

05/03/2022 08:56 am - Corinne Lautier
Corinne Lautier wrote:
> Alexis Bienvenüe wrote:
> > Cela dépend de votre objectif. Le modèle de copies pré-remplies permet de fabriquer des copies personnalisées : chaque étudiant a une copie 
avec son nom écrit dessus. Est-ce vraiment ce que vous souhaitez ? Cela me paraissait bizarre de rajouter sur ce modèle des numéros d'anonymat.
> 
> l'objectif est de faire un examen avec n°d'anonymat pour chaque étudiant, avec les réponses séparées mais sur le feuillet il faut que le numéro 
d'anonymat apparaisse aussi.
> J4ai essayé de faire " réponses séparées", ais comme je copie/colle mon code, j'ai toujours le même problème.

J'aurais aussi une autre question, comment on enlève le petit trefle pour les questions àchoix multiple. En effet, je ne veut pas qu'ils sachent quelles 
sont les questions avec 0, une ou plusieurs réponses. 

05/03/2022 09:08 am - Alexis Bienvenüe
> sur le feuillet il faut que le numéro d'anonymat apparaisse aussi.
Qu'appelez-vous le _feuillet_ ?
> mais comme je copie/colle mon code, j'ai toujours le même problème.
Essayez de repartir d'un des exemples fournis.

05/03/2022 09:13 am - Corinne Lautier
Alexis Bienvenüe wrote:
> > sur le feuillet il faut que le numéro d'anonymat apparaisse aussi.
> Qu'appelez-vous le _feuillet_ ?
> > mais comme je copie/colle mon code, j'ai toujours le même problème.
> Essayez de repartir d'un des exemples fournis.

Le feuillet c'est la page séparée des réponses.
Je suis déjà repartie d'un exemple fourni, je voudrais juste enlever le trèfle et savoir comment modifier la ligne :
{\setlength{\parindent}{0pt}\hspace*{\fill}\AMCcodeGridInt{etu}{6}\hspace*{\fill} pour ne pas que les questions 0 apparaissent sur la feuille réponse.

05/03/2022 09:30 am - Alexis Bienvenüe
- File ensemble.tex added

Les commandes que vous indiquez, et qui insèrent les cases d'identification (saisie du numéro d'anonymat), ne doivent être ajoutées que sur la feuille 
de réponses, c'est-à-dire _après_ la commande @\AMCdebutFormulaire@. Voir l'exemple ci-joint.
Pour votre deuxième question :

  \def\multiSymbole{}

05/03/2022 09:34 am - Corinne Lautier
Alexis Bienvenüe wrote:
> Les commandes que vous indiquez, et qui insèrent les cases d'identification (saisie du numéro d'anonymat), ne doivent être ajoutées que sur la feuille 
de réponses, c'est-à-dire _après_ la commande @\AMCdebutFormulaire@. Voir l'exemple ci-joint.
> Pour votre deuxième question :
> 
>   \def\multiSymbole{}

C'est parfait !
J'obtiens ce que je voulais. Merci beaucoup pour votre réactivité et vos solutions. 
Super outils, même si quand on débute, on bugg un peu.

05/03/2022 09:38 am - Alexis Bienvenüe
- Status changed from Feedback to Closed
- Priority changed from High to Normal

- % Done changed from 0 to 100

05/03/2022 09:38 am - Alexis Bienvenüe
- Tracker changed from Bug to Support

Files
Preremplies-ensemble.tex 4.6 kB 05/02/2022 Corinne Lautier
ensemble.tex 2.6 kB 05/03/2022 Alexis Bienvenüe

07/21/2025 3/3


